noinst_LTLIBRARIES = libui.la

FORMS_UI = \
$(srcdir)/DCDialogAbout.ui \
$(srcdir)/DCDialogAskDownloadMode.ui \
$(srcdir)/DCDialogChat.ui \
$(srcdir)/DCDialogClient.ui \
$(srcdir)/DCDialogDebug.ui \
$(srcdir)/DCDialogDebugSettings.ui \
$(srcdir)/DCDialogEditServer.ui \
$(srcdir)/DCDialogEditSharePath.ui \
$(srcdir)/DCDialogEditTransfer.ui \
$(srcdir)/DCDialogFileBrowser.ui \
$(srcdir)/DCDialogFileTransferInfo.ui \
$(srcdir)/DCDialogForceMove.ui \
$(srcdir)/DCDialogHubFilter.ui \
$(srcdir)/DCDialogHubListManager.ui \
$(srcdir)/DCDialogHubProfile.ui \
$(srcdir)/DCDialogHubSearch.ui \
$(srcdir)/DCDialogMagnet.ui \
$(srcdir)/DCDialogMessage.ui \
$(srcdir)/DCDialogOptions.ui \
$(srcdir)/DCDialogSplash.ui \
$(srcdir)/DCDialogSpy.ui \
$(srcdir)/DCDialogTransfer.ui \
$(srcdir)/DCDialogTranslatorSettings.ui \
$(srcdir)/DCDialogUserCommandEditor.ui \
$(srcdir)/DCDialogUserCommandLines.ui \
$(srcdir)/DCDialogUsersList.ui

FORMS_H = \
DCDialogAbout.h \
DCDialogAskDownloadMode.h \
DCDialogChat.h \
DCDialogClient.h \
DCDialogDebug.h \
DCDialogDebugSettings.h \
DCDialogEditServer.h \
DCDialogEditSharePath.h \
DCDialogEditTransfer.h \
DCDialogFileBrowser.h \
DCDialogFileTransferInfo.h \
DCDialogForceMove.h \
DCDialogHubFilter.h \
DCDialogHubListManager.h \
DCDialogHubProfile.h \
DCDialogHubSearch.h \
DCDialogMagnet.h \
DCDialogMessage.h \
DCDialogOptions.h \
DCDialogSplash.h \
DCDialogSpy.h \
DCDialogTransfer.h \
DCDialogTranslatorSettings.h \
DCDialogUserCommandEditor.h \
DCDialogUserCommandLines.h \
DCDialogUsersList.h

NON_MOC_H = \
$(srcdir)/dcwidget.h

MOC_H = \
$(srcdir)/cdialogmessage.h \
$(srcdir)/cdialogpicturemap.h \
$(srcdir)/dcqtextedit.h \
$(srcdir)/publichubsmodel.h \
$(srcdir)/searchspymodel.h \
$(srcdir)/userlistmodel.h 

MOC_CPP = \
cdialogmessage.moc.cpp \
cdialogpicturemap.moc.cpp \
dcqtextedit.moc.cpp \
publichubsmodel.moc.cpp \
searchspymodel.moc.cpp \
userlistmodel.moc.cpp 

libui_la_SOURCES = \
$(srcdir)/cdialogmessage.cpp \
$(srcdir)/cdialogpicturemap.cpp \
$(srcdir)/dcqtextedit.cpp \
$(srcdir)/dcwidget.cpp \
$(srcdir)/publichubsmodel.cpp \
$(srcdir)/searchspymodel.cpp \
$(srcdir)/userlistmodel.cpp

nodist_libui_la_SOURCES = \
$(MOC_CPP)

# automake likes not bothering to run uic/moc
BUILT_SOURCES = \
$(FORMS_H) \
$(MOC_CPP)

AM_CXXFLAGS = @CXXFLAGS@ $(PACKAGE_FLAGS) $(QTCORE_CFLAGS) $(QTGUI_CFLAGS) $(QTNETWORK_CFLAGS) $(QT3SUPPORT_CFLAGS) $(DCLIB_CFLAGS) $(DEBUGCOMPILE)
AM_CPPFLAGS = -I$(top_srcdir) $(PACKAGE_FLAGS)
libui_la_LDFLAGS = $(QTCORE_LIBS) $(QTGUI_LIBS) $(QTNETWORK_LIBS) $(QT3SUPPORT_LIBS) $(DCLIB_LIBS)

DISTCLEANFILES = $(MOC_CPP) $(FORMS_H)


DCDialogAbout.h : $(srcdir)/DCDialogAbout.ui
	$(UIC) -o $@ $<

DCDialogAskDownloadMode.h : $(srcdir)/DCDialogAskDownloadMode.ui
	$(UIC) -o $@ $<

DCDialogChat.h : $(srcdir)/DCDialogChat.ui
	$(UIC) -o $@ $<

DCDialogClient.h : $(srcdir)/DCDialogClient.ui
	$(UIC) -o $@ $<

DCDialogDebug.h : $(srcdir)/DCDialogDebug.ui
	$(UIC) -o $@ $<

DCDialogDebugSettings.h : $(srcdir)/DCDialogDebugSettings.ui
	$(UIC) -o $@ $<

DCDialogEditServer.h : $(srcdir)/DCDialogEditServer.ui
	$(UIC) -o $@ $<

DCDialogEditSharePath.h : $(srcdir)/DCDialogEditSharePath.ui
	$(UIC) -o $@ $<

DCDialogEditTransfer.h : $(srcdir)/DCDialogEditTransfer.ui
	$(UIC) -o $@ $<

DCDialogFileBrowser.h : $(srcdir)/DCDialogFileBrowser.ui
	$(UIC) -o $@ $<

DCDialogFileTransferInfo.h : $(srcdir)/DCDialogFileTransferInfo.ui
	$(UIC) -o $@ $<

DCDialogForceMove.h : $(srcdir)/DCDialogForceMove.ui
	$(UIC) -o $@ $<

DCDialogHubFilter.h : $(srcdir)/DCDialogHubFilter.ui
	$(UIC) -o $@ $<

DCDialogHubListManager.h : $(srcdir)/DCDialogHubListManager.ui
	$(UIC) -o $@ $<

DCDialogHubProfile.h : $(srcdir)/DCDialogHubProfile.ui
	$(UIC) -o $@ $<

DCDialogHubSearch.h : $(srcdir)/DCDialogHubSearch.ui
	$(UIC) -o $@ $<

DCDialogMagnet.h : $(srcdir)/DCDialogMagnet.ui
	$(UIC) -o $@ $<

DCDialogMessage.h : $(srcdir)/DCDialogMessage.ui
	$(UIC) -o $@ $<

DCDialogOptions.h : $(srcdir)/DCDialogOptions.ui
	$(UIC) -o $@ $<

DCDialogSplash.h : $(srcdir)/DCDialogSplash.ui
	$(UIC) -o $@ $<

DCDialogSpy.h : $(srcdir)/DCDialogSpy.ui
	$(UIC) -o $@ $<

DCDialogTransfer.h : $(srcdir)/DCDialogTransfer.ui
	$(UIC) -o $@ $<

DCDialogTranslatorSettings.h : $(srcdir)/DCDialogTranslatorSettings.ui
	$(UIC) -o $@ $<

DCDialogUserCommandEditor.h : $(srcdir)/DCDialogUserCommandEditor.ui
	$(UIC) -o $@ $<

DCDialogUserCommandLines.h : $(srcdir)/DCDialogUserCommandLines.ui
	$(UIC) -o $@ $<

DCDialogUsersList.h : $(srcdir)/DCDialogUsersList.ui
	$(UIC) -o $@ $<



cdialogmessage.moc.cpp : $(srcdir)/cdialogmessage.h
	$(MOC) -o $@ $<

cdialogpicturemap.moc.cpp : $(srcdir)/cdialogpicturemap.h
	$(MOC) -o $@ $<

dcqtextedit.moc.cpp : $(srcdir)/dcqtextedit.h
	$(MOC) -o $@ $<

publichubsmodel.moc.cpp : $(srcdir)/publichubsmodel.h
	$(MOC) -o $@ $<

searchspymodel.moc.cpp : $(srcdir)/searchspymodel.h
	$(MOC) -o $@ $<

userlistmodel.moc.cpp : $(srcdir)/userlistmodel.h
	$(MOC) -o $@ $<
